> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/get-artifacts-v2input.md).

# getArtifactsV2input

Defines input parameters for retrieving artifacts with enhanced filtering and pagination support.

### Examples

```graphql
input GetArtifactsV2Input {
  scanId: String
  conditionalFilters: [ConditionalFilters]
  search: String
  limit: Int
  offset: Int
  sort: ArtifactsSort
  owners: [String]
  tagIds: [String]
  artifactTopFilters: [ArtifactTopFilters]
}
```

### Fields

| Field                                                                                                                              | Description                                         | Supported fields                                                                                                                                                                                                                                                        |
| ---------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| scanId `String`                                                                                                                    | Specific scan identifier to retrieve artifacts from |                                                                                                                                                                                                                                                                         |
| conditionalFilters [`[ConditionalFilters]`](/api-documentation/api-reference/api--application/types/inputs/conditional-filters.md) | Conditional filters to apply for advanced querying  | <p>condition <a href="/pages/pEzh4bUHpgEO9hKwuQuZ"><code>ConditionType</code></a><br>fieldName <a href="/pages/43jgm6P5kcKgBM8FmTho"><code>FilterTypes</code></a><br>values <code>\[String]</code><br>greaterThan <code>Float</code><br>lessThan <code>Float</code></p> |
| search `String`                                                                                                                    | Text search query to find specific artifacts        |                                                                                                                                                                                                                                                                         |
| limit `Int`                                                                                                                        | Maximum number of artifacts to return               |                                                                                                                                                                                                                                                                         |
| offset `Int`                                                                                                                       | Number of artifacts to skip for pagination          |                                                                                                                                                                                                                                                                         |
| sort [`ArtifactsSort`](/api-documentation/api-reference/api--artifact/types/inputs/artifacts-sort.md)                              | Sorting configuration for the results               | <p>field <a href="/pages/lvUPzBakitHFe8aArEej"><code>\[ArtifactsSortByFields]</code></a><br>order <a href="/pages/MShdjanlfhzp71ZokzYR"><code>\[Direction]</code></a></p>                                                                                               |
| owners `[String]`                                                                                                                  | List of artifact owners to filter by                |                                                                                                                                                                                                                                                                         |
| tagIds `[String]`                                                                                                                  | List of tag IDs to filter artifacts by              |                                                                                                                                                                                                                                                                         |
| artifactTopFilters [`[ArtifactTopFilters]`](/api-documentation/api-reference/api--artifact/types/enums/artifact-top-filters.md)    | List of predefined top-level filters to apply.      |                                                                                                                                                                                                                                                                         |

### References

#### Queries using this object:

* [\<?> getArtifactsV2.input](/api-documentation/api-reference/api--artifact/queries/get-artifacts-v2.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/get-artifacts-v2input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
